classification
Title: 2to3 urllib fixer: missing fix for urllib.getproxies
Type: behavior Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, robertpro, shiyuchong
Priority: normal Keywords: patch

Created on 2019-09-10 06:14 by shiyuchong, last changed 2020-03-12 00:00 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16167 merged robertpro, 2019-09-15 20:58
Messages (2)
msg351576 - (view) Author: 徐靖 (shiyuchong) Date: 2019-09-10 06:14
urllib.getproxies can be converted to urllib.request.getproxies, and their documentation looks the same.
but in fix_urllib.py and my real test, it is ignored. I do not know why 2to3 does nothing. Is it a bug?
msg363988 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-03-11 23:51
New changeset 276a84a0a6c694ce227bf36ec2e2e6ec6686170f by José Roberto Meza Cabrera in branch 'master':
bpo-38080: Added "getproxies" to urllib fixes in the 2to3 tool (GH-16167)
https://github.com/python/cpython/commit/276a84a0a6c694ce227bf36ec2e2e6ec6686170f
History
Date User Action Args
2020-03-12 00:00:20pablogsalsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9, - Python 2.7, Python 3.5, Python 3.6, Python 3.7
2020-03-11 23:51:24pablogsalsetnosy: + pablogsal
messages: + msg363988
2019-09-15 20:58:01robertprosetkeywords: + patch
nosy: + robertpro

pull_requests: + pull_request15776
stage: patch review
2019-09-10 06:14:06shiyuchongcreate